Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalConstants

    java.lang.Object
      com.bea.jsptools.portal.PortalConstants

public class PortalConstants
extends Object

Constants for Portal Management jsps.

Field Summary
`static String` | `ADD_CATEGORY_ID` The form value name for the add to category id.
`static String` | `ADD_NAV_TO_BOOK_ACTION`
`static String` | `ADD_NEW_BOOK_TO_BOOK_ACTION`
`static String` | `ADD_NEW_BOOK_TO_PAGE_ACTION`
`static String` | `ADD_NEW_PAGE_TO_BOOK_ACTION`
`static String` | `ADD_PLACEABLE_ACTION`
`static String` | `BASE_IMAGE_FILE` Image Files
`static String[]` | `BOOK_CAPABILITY_LABELS`
`static String` | `BOOK_FOLDER_IMAGE_FILE`
`static String` | `BOOK_ID`
`static String` | `BOOK_POPUP_ID`
`static String` | `BOOKLET_IMAGE_FILE`
`static String` | `CATEGORY`
`static String` | `CHILD_NAME` The session attribute name for a child's name.
`static String` | `COLLAPSE_NODE` The session attribute name for collapsing a node.
`static String` | `COPY_PORTLET_ACTION`
`static String` | `CREATE_BOOK_ACTION`
`static String` | `CREATE_DESKTOP_ACTION`
`static String` | `CREATE_PAGE_ACTION`
`static String` | `CREATE_PORTAL_ACTION`
`static String` | `CREATE_PORTLET_PREF_ACTION`
`static String[]` | `DEFAULT_CAPABILITY_LABELS`
`static int` | `DEFAULT_PAGE_SIZE`
`static String` | `DEFINITION_LABEL` The form value name for the portal resource label.
`static String` | `DEFINITION_LABEL_TWO` The form value name for the extra portal resource label.
`static String` | `DELETE_BOOK_ACTION`
`static String` | `DELETE_CATEGORY_ID` The form value name for the delete category id.
`static String` | `DELETE_CATEGORY_NAME` The form value name for the delete category name.
`static String` | `DELETE_DESKTOP_ACTION`
`static String` | `DELETE_LAYOUT_ACTION`
`static String` | `DELETE_LOCALE` The locale value for deleting a locale.
`static String` | `DELETE_LOOK_AND_FEEL_ACTION`
`static String` | `DELETE_MENU_ACTION`
`static String` | `DELETE_PAGE_ACTION`
`static String` | `DELETE_PLACEABLE_IDS` The form value name for placeables to be deleted.
`static String` | `DELETE_PORTAL_ACTION`
`static String` | `DELETE_PORTLET_ACTION`
`static String` | `DELETE_PORTLET_PREF_ACTION`
`static String` | `DELETE_RESOURCE_ONLY`
`static String` | `DELETE_RESOURCE_WITH_CASCADE`
`static String` | `DELETE_SHELL_ACTION`
`static String` | `DELETE_THEME_ACTION`
`static String` | `DELETED_NAME` The session attribute name for the deletion selection name.
`static String` | `DELETED_NODE_ID` The session attribute name for the deletion selection id.
`static String` | `DELIMITER_FOR_BOOK`
`static String` | `DELIMITER_FOR_PAGE`
`static String` | `DELIMITER_FOR_PORTLET`
`static String` | `DESKTOP_DISASSEMBLER_ACTION`
`static String` | `DESKTOP_FOLDER_IMAGE_FILE`
`static String` | `DESKTOP_FROM_COPY`
`static String` | `DESKTOP_FROM_EITHER`
`static String` | `DESKTOP_FROM_SCRATCH`
`static String` | `DESKTOP_FROM_TEMPLATE`
`static String` | `DESKTOP_IMAGE_FILE`
`static String` | `DESKTOP_PATH`
`static String` | `DESKTOP_PATH_COPY`
`static String` | `DESKTOP_POPUP_ID`
`static String` | `DESKTOP_VISITOR_TOOLS`
`static String` | `DISPLAY_NAME_TOP_LEVEL` The display name for the most top level group.
`static String` | `DUPLICATE_DESKTOP_EXCEPTION` Portal Exception constants
`static String` | `EDIT_ITEM`
`static String` | `EXPAND_NODE` The session attribute name for expanding a node.
`static int` | `GET_LOWER_LIMIT` A few getter methods require a lower limit and an upper limit
`static int` | `GET_UPPER_LIMIT` A few getter methods require a lower limit and an upper limit
`static String` | `GROUP` The type for the current selection for 'group'-
`static String` | `ITEM`
`static String` | `JAVASCRIPT_SELECT_NODE`
`static String` | `JAVASCRIPT_SELECT_WEBAPP_NODE`
`static String` | `LAYOUT_FOLDER_IMAGE_FILE`
`static String` | `LAYOUT_ID`
`static String` | `LAYOUT_IMAGE_FILE`
`static String` | `LAYOUT_POPUP_ID`
`static String` | `LIBRARY_FOLDER_IMAGE_FILE`
`static String` | `LOOK_AND_FEEL_ID`
`static String` | `LOOKANDFEEL_POPUP_ID`
`static String` | `MENU_ID`
`static String` | `MENUS_FOLDER_IMAGE_FILE`
`static String` | `MENUS_IMAGE_FILE`
`static String` | `MOVE_CATEGORY_ID` The form value name for the move category id.
`static String` | `MOVE_CATEGORY_NAME` The form value name for the move category name.
`static String` | `MOVE_NAV_IN_BOOK_ACTION`
`static String` | `MOVE_PLACEABLE_IDS` The form value name for placeable ids to be moved.
`static String` | `MOVE_PLACEABLE_PLACEHOLDERS` The form value name for placeable placeholders to be moved to.
`static String` | `MOVE_PLACEABLE_POSITIONS` The form value name for placeable positions to be moved to.
`static String` | `MOVE_PLACEABLES_ACTION`
`static String` | `MOVE_TO_CATEGORY_ID` The form value name for the move to category id.
`static String` | `NAVIGABLE_POSITION`
`static String` | `NAVIGABLE_TYPE` Book Resource related constants
`static String` | `NEW_CATEGORY_NAME` The form value name for the new category name.
`static String` | `NEW_ITEM`
`static String` | `NEW_NAME` The session attribute name for a node's new name.
`static String` | `NO_SELECTED`
`static String` | `NODE_ID` The session attribute name for the current id.
`static String` | `OBJECT_IN_USE_EXCEPTION`
`static String` | `ORIGINAL_NAME` The session attribute name for the original node name.
`static String` | `PAGE_FOLDER_IMAGE_FILE`
`static String` | `PAGE_HIDDEN_ID`
`static String` | `PAGE_ID`
`static String` | `PAGE_IMAGE_FILE`
`static String` | `PAGE_LABEL_ID`
`static String` | `PAGE_POPUP_ID`
`static String` | `PARENT_ID` The session attribute name for the current parent's id.
`static String` | `PARENT_NAME` The session attribute name for a parent's name.
`static String` | `PASSWORD` The display name for a user's password.
`static String` | `PLACEABLE_ID`
`static String` | `PLACEABLE_TYPE` Page Resource related constants
`static String` | `PLACEHOLDER_LOCK_POSITIONS`
`static String` | `PLACEHOLDER_LOCK_VALUES`
`static String` | `PORTAL_ACTION` THE request variables for portal resource actions
`static String` | `PORTAL_BOOK_DEFINITION`
`static String` | `PORTAL_BOOK_INSTANCE`
`static String` | `PORTAL_BOOKLET_DISPLAY`
`static String` | `PORTAL_BOOKLET_GROUP`
`static String` | `PORTAL_DESKTOP_DISPLAY`
`static String` | `PORTAL_DESKTOP_GROUP`
`static String` | `PORTAL_ERROR` The request attribute name for a portal error message
`static String` | `PORTAL_IMAGE_FILE`
`static String` | `PORTAL_ITEM`
`static String` | `PORTAL_LAYOUT_DEFINITION`
`static String` | `PORTAL_LAYOUT_DISPLAY`
`static String` | `PORTAL_LAYOUT_GROUP`
`static String` | `PORTAL_LIBRARY_DISPLAY` Session attributes used for da/entitlements of defined Portal categories These are no longer used for display purposes at all and do not need to be internationalized
`static String` | `PORTAL_LIBRARY_GROUP` Session attributes for groups names of defined Portal categories
`static String` | `PORTAL_LOOK_AND_FEEL_DEFINITION`
`static String` | `PORTAL_LOOK_AND_FEEL_GROUP`
`static String` | `PORTAL_MANAGER_SERVLET`
`static String` | `PORTAL_MENU_DEFINITION`
`static String` | `PORTAL_MENU_DISPLAY`
`static String` | `PORTAL_MENU_GROUP`
`static String` | `PORTAL_PAGE_DEFINITION`
`static String` | `PORTAL_PAGE_DISPLAY`
`static String` | `PORTAL_PAGE_GROUP`
`static String` | `PORTAL_PAGE_INSTANCE`
`static String` | `PORTAL_PATH`
`static String` | `PORTAL_POPUP_ID`
`static String` | `PORTAL_PORTAL`
`static String` | `PORTAL_PORTAL_DISPLAY`
`static String` | `PORTAL_PORTAL_GROUP`
`static String` | `PORTAL_PORTLET_ALL_DISPLAY`
`static String` | `PORTAL_PORTLET_CATEGORIES_DISPLAY`
`static String` | `PORTAL_PORTLET_CATEGORIES_EDITOR`
`static String` | `PORTAL_PORTLET_CATEGORIES_GROUP`
`static String` | `PORTAL_PORTLET_DEFINITION`
`static String` | `PORTAL_PORTLET_GROUP`
`static String` | `PORTAL_PORTLET_INSTANCE`
`static String` | `PORTAL_PORTLET_LIBRARY_INSTANCE`
`static String` | `PORTAL_PORTLET_WSRP_DISPLAY`
`static String` | `PORTAL_PORTLET_WSRP_GROUP`
`static String` | `PORTAL_PORTLET_WSRP_PRODUCER`
`static String` | `PORTAL_RECHECK_DA`
`static String` | `PORTAL_SEND_REDIRECT`
`static String` | `PORTAL_SHELL_DEFINITION`
`static String` | `PORTAL_SHELL_DISPLAY`
`static String` | `PORTAL_SHELL_GROUP`
`static String` | `PORTAL_SKIN_DISPLAY`
`static String` | `PORTAL_SKIN_GROUP`
`static String` | `PORTAL_TEMPLATE_NAME` Portal Resource related constants
`static String` | `PORTAL_THEME_DEFINITION`
`static String` | `PORTAL_THEME_DISPLAY`
`static String` | `PORTAL_THEME_GROUP`
`static String` | `PORTAL_URI`
`static String` | `PORTAL_USER_VIEW_DISPLAY`
`static String` | `PORTAL_USER_VIEW_GROUP`
`static String` | `PORTAL_WEBAPP_GROUP`
`static String` | `PORTLET_CACHE_LENGTH` Portlet related constants
`static String[]` | `PORTLET_CAPABILITY_LABELS`
`static String` | `PORTLET_CATEGORY_FOLDER_IMAGE_FILE`
`static String` | `PORTLET_CATEGORY_ID` The form value name for the portlet category id.
`static String` | `PORTLET_CATEGORY_IMAGE_FILE`
`static String` | `PORTLET_ID`
`static String` | `PORTLET_IDS` The form value name for the portlet id array.
`static String` | `PORTLET_IMAGE_FILE`
`static String` | `PORTLET_POPUP_ID`
`static String` | `PORTLET_PREF_DESCRIPTION`
`static String` | `PORTLET_PREF_MODIFY`
`static String` | `PORTLET_PREF_MULTIVALUE`
`static String` | `PORTLET_PREF_NAME`
`static String` | `PORTLET_PREF_OLD_NAME`
`static String` | `PORTLET_PREF_PROPAGATE`
`static String` | `PORTLET_PREF_VALUE`
`static String` | `PORTLETCATEGORY_POPUP_ID`
`static String` | `PROPAGATE_PORTLET_PREF_ACTION`
`static String` | `PROPERTY_SET` The session attribute name for the current property set.
`static String` | `REMOVE_NAV_FROM_BOOK_ACTION`
`static String` | `REMOVE_PLACEABLE_ACTION`
`static String` | `RESOURCE_DESCRIPTION` The description value for adding a locale.
`static String` | `RESOURCE_LOCALE` The locale value for adding a locale.
`static String` | `RESOURCE_TITLE` The title value for adding a locale.
`static String` | `ROOT`
`static String` | `ROOT_CATEGORY`
`static String` | `ROOT_CATEGORY_DESCRIPTION`
`static String` | `SAVE_DEFAULT_ELEMENT_ACTION`
`static String` | `SAVE_PAGE_LAYOUT_ACTION`
`static String` | `SEARCH_NAME` The session attribute name for the search name.
`static String` | `SELECTED_NAME` The session attribute name for the current selection name-
`static String` | `SELECTED_NODE_ID` The session attribute name for the current selection id.
`static String` | `SELECTED_PARENT_ID` The session attribute name for the current selection parent's id.
`static String` | `SELECTED_PORTAL_DEFINITION_ID`
`static String` | `SELECTED_PORTAL_NODE_NAME`
`static String` | `SELECTED_TOP_NODE` The session attribute name for the current selected top node.
`static String` | `SELECTED_TYPE` The session attribute name for the current selection type-
`static String` | `SELECTED_VIEW_TYPE`
`static String` | `SELECTED_VIEW_TYPE_ID`
`static String` | `SELECTED_WEBAPP_NAME`
`static String` | `SHELL_ID` Various request variables for portal resource actions
`static String` | `SHELL_POPUP_ID`
`static String` | `SHELLS_FOLDER_IMAGE_FILE`
`static String` | `SHELLS_IMAGE_FILE`
`static String` | `SKINS_FOLDER_IMAGE_FILE`
`static String` | `SKINS_IMAGE_FILE`
`static String` | `TAXONOMY_BY_ID` The form value name for a new desktop's look and feel.
`static String` | `TAXONOMY_BY_NAME`
`static String` | `THEME_ID`
`static String` | `THEMES_FOLDER_IMAGE_FILE`
`static String` | `THEMES_IMAGE_FILE`
`static String` | `TOP_LEVEL_NODE_ID`
`static String` | `UPDATE_BOOK_ACTION`
`static String` | `UPDATE_PAGE_ACTION`
`static String` | `UPDATE_PAGE_LAYOUT_ACTION`
`static String` | `UPDATE_PORTAL_ACTION`
`static String` | `UPDATE_PORTLET_CACHE_ACTION`
`static String` | `UPDATE_PORTLET_PREF_ACTION`
`static String` | `UPDATE_PORTLET_THEME_ACTION`
`static String` | `UPDATE_PORTLET_THREAD_ACTION`
`static String` | `USER_NAME` The session attribute name a user's name.
`static String` | `WSRP_FOLDER_IMAGE_FILE`
`static String` | `WSRP_IMAGE_FILE`
`static String` | `YES_SELECTED`

Constructor Summary
`PortalConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_CATEGORY_ID

    public static final String ADD_CATEGORY_ID

  The form value name for the add to category id.

  See Also:
    Constant Field Values

### ADD_NAV_TO_BOOK_ACTION

    public static final String ADD_NAV_TO_BOOK_ACTION

See Also:
  Constant Field Values

### ADD_NEW_BOOK_TO_BOOK_ACTION

    public static final String ADD_NEW_BOOK_TO_BOOK_ACTION

See Also:
  Constant Field Values

### ADD_NEW_BOOK_TO_PAGE_ACTION

    public static final String ADD_NEW_BOOK_TO_PAGE_ACTION

See Also:
  Constant Field Values

### ADD_NEW_PAGE_TO_BOOK_ACTION

    public static final String ADD_NEW_PAGE_TO_BOOK_ACTION

See Also:
  Constant Field Values

### ADD_PLACEABLE_ACTION

    public static final String ADD_PLACEABLE_ACTION

See Also:
  Constant Field Values

### BASE_IMAGE_FILE

    public static final String BASE_IMAGE_FILE

  Image Files

  See Also:
    Constant Field Values

### BOOK_CAPABILITY_LABELS

    public static final String[] BOOK_CAPABILITY_LABELS

### BOOK_FOLDER_IMAGE_FILE

    public static final String BOOK_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### BOOK_ID

    public static final String BOOK_ID

See Also:
  Constant Field Values

### BOOK_POPUP_ID

    public static final String BOOK_POPUP_ID

See Also:
  Constant Field Values

### BOOKLET_IMAGE_FILE

    public static final String BOOKLET_IMAGE_FILE

See Also:
  Constant Field Values

### CATEGORY

    public static final String CATEGORY

See Also:
  Constant Field Values

### CHILD_NAME

    public static final String CHILD_NAME

  The session attribute name for a child's name.

  See Also:
    Constant Field Values

### COLLAPSE_NODE

    public static final String COLLAPSE_NODE

  The session attribute name for collapsing a node.

  See Also:
    Constant Field Values

### COPY_PORTLET_ACTION

    public static final String COPY_PORTLET_ACTION

See Also:
  Constant Field Values

### CREATE_BOOK_ACTION

    public static final String CREATE_BOOK_ACTION

See Also:
  Constant Field Values

### CREATE_DESKTOP_ACTION

    public static final String CREATE_DESKTOP_ACTION

See Also:
  Constant Field Values

### CREATE_PAGE_ACTION

    public static final String CREATE_PAGE_ACTION

See Also:
  Constant Field Values

### CREATE_PORTAL_ACTION

    public static final String CREATE_PORTAL_ACTION

See Also:
  Constant Field Values

### CREATE_PORTLET_PREF_ACTION

    public static final String CREATE_PORTLET_PREF_ACTION

See Also:
  Constant Field Values

### DEFAULT_CAPABILITY_LABELS

    public static final String[] DEFAULT_CAPABILITY_LABELS

### DEFAULT_PAGE_SIZE

    public static final int DEFAULT_PAGE_SIZE

See Also:
  Constant Field Values

### DEFINITION_LABEL

    public static final String DEFINITION_LABEL

  The form value name for the portal resource label.

  See Also:
    Constant Field Values

### DEFINITION_LABEL_TWO

    public static final String DEFINITION_LABEL_TWO

  The form value name for the extra portal resource label.

  See Also:
    Constant Field Values

### DELETE_BOOK_ACTION

    public static final String DELETE_BOOK_ACTION

See Also:
  Constant Field Values

### DELETE_CATEGORY_ID

    public static final String DELETE_CATEGORY_ID

  The form value name for the delete category id.

  See Also:
    Constant Field Values

### DELETE_CATEGORY_NAME

    public static final String DELETE_CATEGORY_NAME

  The form value name for the delete category name.

  See Also:
    Constant Field Values

### DELETE_DESKTOP_ACTION

    public static final String DELETE_DESKTOP_ACTION

See Also:
  Constant Field Values

### DELETE_LAYOUT_ACTION

    public static final String DELETE_LAYOUT_ACTION

See Also:
  Constant Field Values

### DELETE_LOCALE

    public static final String DELETE_LOCALE

  The locale value for deleting a locale.

  See Also:
    Constant Field Values

### DELETE_LOOK_AND_FEEL_ACTION

    public static final String DELETE_LOOK_AND_FEEL_ACTION

See Also:
  Constant Field Values

### DELETE_MENU_ACTION

    public static final String DELETE_MENU_ACTION

See Also:
  Constant Field Values

### DELETE_PAGE_ACTION

    public static final String DELETE_PAGE_ACTION

See Also:
  Constant Field Values

### DELETE_PLACEABLE_IDS

    public static final String DELETE_PLACEABLE_IDS

  The form value name for placeables to be deleted.

  See Also:
    Constant Field Values

### DELETE_PORTAL_ACTION

    public static final String DELETE_PORTAL_ACTION

See Also:
  Constant Field Values

### DELETE_PORTLET_ACTION

    public static final String DELETE_PORTLET_ACTION

See Also:
  Constant Field Values

### DELETE_PORTLET_PREF_ACTION

    public static final String DELETE_PORTLET_PREF_ACTION

See Also:
  Constant Field Values

### DELETE_RESOURCE_ONLY

    public static final String DELETE_RESOURCE_ONLY

See Also:
  Constant Field Values

### DELETE_RESOURCE_WITH_CASCADE

    public static final String DELETE_RESOURCE_WITH_CASCADE

See Also:
  Constant Field Values

### DELETE_SHELL_ACTION

    public static final String DELETE_SHELL_ACTION

See Also:
  Constant Field Values

### DELETE_THEME_ACTION

    public static final String DELETE_THEME_ACTION

See Also:
  Constant Field Values

### DELETED_NAME

    public static final String DELETED_NAME

  The session attribute name for the deletion selection name.

  See Also:
    Constant Field Values

### DELETED_NODE_ID

    public static final String DELETED_NODE_ID

  The session attribute name for the deletion selection id.

  See Also:
    Constant Field Values

### DELIMITER_FOR_BOOK

    public static final String DELIMITER_FOR_BOOK

See Also:
  Constant Field Values

### DELIMITER_FOR_PAGE

    public static final String DELIMITER_FOR_PAGE

See Also:
  Constant Field Values

### DELIMITER_FOR_PORTLET

    public static final String DELIMITER_FOR_PORTLET

See Also:
  Constant Field Values

### DESKTOP_DISASSEMBLER_ACTION

    public static final String DESKTOP_DISASSEMBLER_ACTION

See Also:
  Constant Field Values

### DESKTOP_FOLDER_IMAGE_FILE

    public static final String DESKTOP_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### DESKTOP_FROM_COPY

    public static final String DESKTOP_FROM_COPY

See Also:
  Constant Field Values

### DESKTOP_FROM_EITHER

    public static final String DESKTOP_FROM_EITHER

See Also:
  Constant Field Values

### DESKTOP_FROM_SCRATCH

    public static final String DESKTOP_FROM_SCRATCH

See Also:
  Constant Field Values

### DESKTOP_FROM_TEMPLATE

    public static final String DESKTOP_FROM_TEMPLATE

See Also:
  Constant Field Values

### DESKTOP_IMAGE_FILE

    public static final String DESKTOP_IMAGE_FILE

See Also:
  Constant Field Values

### DESKTOP_PATH

    public static final String DESKTOP_PATH

See Also:
  Constant Field Values

### DESKTOP_PATH_COPY

    public static final String DESKTOP_PATH_COPY

See Also:
  Constant Field Values

### DESKTOP_POPUP_ID

    public static final String DESKTOP_POPUP_ID

See Also:
  Constant Field Values

### DESKTOP_VISITOR_TOOLS

    public static final String DESKTOP_VISITOR_TOOLS

See Also:
  Constant Field Values

### DISPLAY_NAME_TOP_LEVEL

    public static final String DISPLAY_NAME_TOP_LEVEL

  The display name for the most top level group.

  See Also:
    Constant Field Values

### DUPLICATE_DESKTOP_EXCEPTION

    public static final String DUPLICATE_DESKTOP_EXCEPTION

  Portal Exception constants

  See Also:
    Constant Field Values

### EDIT_ITEM

    public static final String EDIT_ITEM

See Also:
  Constant Field Values

### EXPAND_NODE

    public static final String EXPAND_NODE

  The session attribute name for expanding a node.

  See Also:
    Constant Field Values

### GET_LOWER_LIMIT

    public static final int GET_LOWER_LIMIT

  A few getter methods require a lower limit and an upper limit

  See Also:
    Constant Field Values

### GET_UPPER_LIMIT

    public static final int GET_UPPER_LIMIT

  A few getter methods require a lower limit and an upper limit

  See Also:
    Constant Field Values

### GROUP

    public static final String GROUP

  The type for the current selection for 'group'-

  See Also:
    Constant Field Values

### ITEM

    public static final String ITEM

See Also:
  Constant Field Values

### JAVASCRIPT_SELECT_NODE

    public static final String JAVASCRIPT_SELECT_NODE

See Also:
  Constant Field Values

### JAVASCRIPT_SELECT_WEBAPP_NODE

    public static final String JAVASCRIPT_SELECT_WEBAPP_NODE

See Also:
  Constant Field Values

### LAYOUT_FOLDER_IMAGE_FILE

    public static final String LAYOUT_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### LAYOUT_ID

    public static final String LAYOUT_ID

See Also:
  Constant Field Values

### LAYOUT_IMAGE_FILE

    public static final String LAYOUT_IMAGE_FILE

See Also:
  Constant Field Values

### LAYOUT_POPUP_ID

    public static final String LAYOUT_POPUP_ID

See Also:
  Constant Field Values

### LIBRARY_FOLDER_IMAGE_FILE

    public static final String LIBRARY_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### LOOK_AND_FEEL_ID

    public static final String LOOK_AND_FEEL_ID

See Also:
  Constant Field Values

### LOOKANDFEEL_POPUP_ID

    public static final String LOOKANDFEEL_POPUP_ID

See Also:
  Constant Field Values

### MENU_ID

    public static final String MENU_ID

See Also:
  Constant Field Values

### MENUS_FOLDER_IMAGE_FILE

    public static final String MENUS_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### MENUS_IMAGE_FILE

    public static final String MENUS_IMAGE_FILE

See Also:
  Constant Field Values

### MOVE_CATEGORY_ID

    public static final String MOVE_CATEGORY_ID

  The form value name for the move category id.

  See Also:
    Constant Field Values

### MOVE_CATEGORY_NAME

    public static final String MOVE_CATEGORY_NAME

  The form value name for the move category name.

  See Also:
    Constant Field Values

### MOVE_NAV_IN_BOOK_ACTION

    public static final String MOVE_NAV_IN_BOOK_ACTION

See Also:
  Constant Field Values

### MOVE_PLACEABLE_IDS

    public static final String MOVE_PLACEABLE_IDS

  The form value name for placeable ids to be moved.

  See Also:
    Constant Field Values

### MOVE_PLACEABLE_PLACEHOLDERS

    public static final String MOVE_PLACEABLE_PLACEHOLDERS

  The form value name for placeable placeholders to be moved to.

  See Also:
    Constant Field Values

### MOVE_PLACEABLE_POSITIONS

    public static final String MOVE_PLACEABLE_POSITIONS

  The form value name for placeable positions to be moved to.

  See Also:
    Constant Field Values

### MOVE_PLACEABLES_ACTION

    public static final String MOVE_PLACEABLES_ACTION

See Also:
  Constant Field Values

### MOVE_TO_CATEGORY_ID

    public static final String MOVE_TO_CATEGORY_ID

  The form value name for the move to category id.

  See Also:
    Constant Field Values

### NAVIGABLE_POSITION

    public static final String NAVIGABLE_POSITION

See Also:
  Constant Field Values

### NAVIGABLE_TYPE

    public static final String NAVIGABLE_TYPE

  Book Resource related constants

  See Also:
    Constant Field Values

### NEW_CATEGORY_NAME

    public static final String NEW_CATEGORY_NAME

  The form value name for the new category name.

  See Also:
    Constant Field Values

### NEW_ITEM

    public static final String NEW_ITEM

See Also:
  Constant Field Values

### NEW_NAME

    public static final String NEW_NAME

  The session attribute name for a node's new name.

  See Also:
    Constant Field Values

### NO_SELECTED

    public static final String NO_SELECTED

See Also:
  Constant Field Values

### NODE_ID

    public static final String NODE_ID

  The session attribute name for the current id.

  See Also:
    Constant Field Values

### OBJECT_IN_USE_EXCEPTION

    public static final String OBJECT_IN_USE_EXCEPTION

See Also:
  Constant Field Values

### ORIGINAL_NAME

    public static final String ORIGINAL_NAME

  The session attribute name for the original node name.

  See Also:
    Constant Field Values

### PAGE_FOLDER_IMAGE_FILE

    public static final String PAGE_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### PAGE_HIDDEN_ID

    public static final String PAGE_HIDDEN_ID

See Also:
  Constant Field Values

### PAGE_ID

    public static final String PAGE_ID

See Also:
  Constant Field Values

### PAGE_IMAGE_FILE

    public static final String PAGE_IMAGE_FILE

See Also:
  Constant Field Values

### PAGE_LABEL_ID

    public static final String PAGE_LABEL_ID

See Also:
  Constant Field Values

### PAGE_POPUP_ID

    public static final String PAGE_POPUP_ID

See Also:
  Constant Field Values

### PARENT_ID

    public static final String PARENT_ID

  The session attribute name for the current parent's id.

  See Also:
    Constant Field Values

### PARENT_NAME

    public static final String PARENT_NAME

  The session attribute name for a parent's name.

  See Also:
    Constant Field Values

### PASSWORD

    public static final String PASSWORD

  The display name for a user's password.

  See Also:
    Constant Field Values

### PLACEABLE_ID

    public static final String PLACEABLE_ID

See Also:
  Constant Field Values

### PLACEABLE_TYPE

    public static final String PLACEABLE_TYPE

  Page Resource related constants

  See Also:
    Constant Field Values

### PLACEHOLDER_LOCK_POSITIONS

    public static final String PLACEHOLDER_LOCK_POSITIONS

See Also:
  Constant Field Values

### PLACEHOLDER_LOCK_VALUES

    public static final String PLACEHOLDER_LOCK_VALUES

See Also:
  Constant Field Values

### PORTAL_ACTION

    public static final String PORTAL_ACTION

  THE request variables for portal resource actions

  See Also:
    Constant Field Values

### PORTAL_BOOK_DEFINITION

    public static final String PORTAL_BOOK_DEFINITION

See Also:
  Constant Field Values

### PORTAL_BOOK_INSTANCE

    public static final String PORTAL_BOOK_INSTANCE

See Also:
  Constant Field Values

### PORTAL_BOOKLET_DISPLAY

    public static final String PORTAL_BOOKLET_DISPLAY

See Also:
  Constant Field Values

### PORTAL_BOOKLET_GROUP

    public static final String PORTAL_BOOKLET_GROUP

See Also:
  Constant Field Values

### PORTAL_DESKTOP_DISPLAY

    public static final String PORTAL_DESKTOP_DISPLAY

See Also:
  Constant Field Values

### PORTAL_DESKTOP_GROUP

    public static final String PORTAL_DESKTOP_GROUP

See Also:
  Constant Field Values

### PORTAL_ERROR

    public static final String PORTAL_ERROR

  The request attribute name for a portal error message

  See Also:
    Constant Field Values

### PORTAL_IMAGE_FILE

    public static final String PORTAL_IMAGE_FILE

See Also:
  Constant Field Values

### PORTAL_ITEM

    public static final String PORTAL_ITEM

See Also:
  Constant Field Values

### PORTAL_LAYOUT_DEFINITION

    public static final String PORTAL_LAYOUT_DEFINITION

See Also:
  Constant Field Values

### PORTAL_LAYOUT_DISPLAY

    public static final String PORTAL_LAYOUT_DISPLAY

See Also:
  Constant Field Values

### PORTAL_LAYOUT_GROUP

    public static final String PORTAL_LAYOUT_GROUP

See Also:
  Constant Field Values

### PORTAL_LIBRARY_DISPLAY

    public static final String PORTAL_LIBRARY_DISPLAY

  Session attributes used for da/entitlements of defined Portal categories These are no longer used for display purposes at all and do not need to be internationalized

  See Also:
    Constant Field Values

### PORTAL_LIBRARY_GROUP

    public static final String PORTAL_LIBRARY_GROUP

  Session attributes for groups names of defined Portal categories

  See Also:
    Constant Field Values

### PORTAL_LOOK_AND_FEEL_DEFINITION

    public static final String PORTAL_LOOK_AND_FEEL_DEFINITION

See Also:
  Constant Field Values

### PORTAL_LOOK_AND_FEEL_GROUP

    public static final String PORTAL_LOOK_AND_FEEL_GROUP

See Also:
  Constant Field Values

### PORTAL_MANAGER_SERVLET

    public static final String PORTAL_MANAGER_SERVLET

See Also:
  Constant Field Values

### PORTAL_MENU_DEFINITION

    public static final String PORTAL_MENU_DEFINITION

See Also:
  Constant Field Values

### PORTAL_MENU_DISPLAY

    public static final String PORTAL_MENU_DISPLAY

See Also:
  Constant Field Values

### PORTAL_MENU_GROUP

    public static final String PORTAL_MENU_GROUP

See Also:
  Constant Field Values

### PORTAL_PAGE_DEFINITION

    public static final String PORTAL_PAGE_DEFINITION

See Also:
  Constant Field Values

### PORTAL_PAGE_DISPLAY

    public static final String PORTAL_PAGE_DISPLAY

See Also:
  Constant Field Values

### PORTAL_PAGE_GROUP

    public static final String PORTAL_PAGE_GROUP

See Also:
  Constant Field Values

### PORTAL_PAGE_INSTANCE

    public static final String PORTAL_PAGE_INSTANCE

See Also:
  Constant Field Values

### PORTAL_PATH

    public static final String PORTAL_PATH

See Also:
  Constant Field Values

### PORTAL_POPUP_ID

    public static final String PORTAL_POPUP_ID

See Also:
  Constant Field Values

### PORTAL_PORTAL

    public static final String PORTAL_PORTAL

See Also:
  Constant Field Values

### PORTAL_PORTAL_DISPLAY

    public static final String PORTAL_PORTAL_DISPLAY

See Also:
  Constant Field Values

### PORTAL_PORTAL_GROUP

    public static final String PORTAL_PORTAL_GROUP

See Also:
  Constant Field Values

### PORTAL_PORTLET_ALL_DISPLAY

    public static final String PORTAL_PORTLET_ALL_DISPLAY

See Also:
  Constant Field Values

### PORTAL_PORTLET_CATEGORIES_DISPLAY

    public static final String PORTAL_PORTLET_CATEGORIES_DISPLAY

See Also:
  Constant Field Values

### PORTAL_PORTLET_CATEGORIES_EDITOR

    public static final String PORTAL_PORTLET_CATEGORIES_EDITOR

See Also:
  Constant Field Values

### PORTAL_PORTLET_CATEGORIES_GROUP

    public static final String PORTAL_PORTLET_CATEGORIES_GROUP

See Also:
  Constant Field Values

### PORTAL_PORTLET_DEFINITION

    public static final String PORTAL_PORTLET_DEFINITION

See Also:
  Constant Field Values

### PORTAL_PORTLET_GROUP

    public static final String PORTAL_PORTLET_GROUP

See Also:
  Constant Field Values

### PORTAL_PORTLET_INSTANCE

    public static final String PORTAL_PORTLET_INSTANCE

See Also:
  Constant Field Values

### PORTAL_PORTLET_LIBRARY_INSTANCE

    public static final String PORTAL_PORTLET_LIBRARY_INSTANCE

See Also:
  Constant Field Values

### PORTAL_PORTLET_WSRP_DISPLAY

    public static final String PORTAL_PORTLET_WSRP_DISPLAY

See Also:
  Constant Field Values

### PORTAL_PORTLET_WSRP_GROUP

    public static final String PORTAL_PORTLET_WSRP_GROUP

See Also:
  Constant Field Values

### PORTAL_PORTLET_WSRP_PRODUCER

    public static final String PORTAL_PORTLET_WSRP_PRODUCER

See Also:
  Constant Field Values

### PORTAL_RECHECK_DA

    public static final String PORTAL_RECHECK_DA

See Also:
  Constant Field Values

### PORTAL_SEND_REDIRECT

    public static final String PORTAL_SEND_REDIRECT

See Also:
  Constant Field Values

### PORTAL_SHELL_DEFINITION

    public static final String PORTAL_SHELL_DEFINITION

See Also:
  Constant Field Values

### PORTAL_SHELL_DISPLAY

    public static final String PORTAL_SHELL_DISPLAY

See Also:
  Constant Field Values

### PORTAL_SHELL_GROUP

    public static final String PORTAL_SHELL_GROUP

See Also:
  Constant Field Values

### PORTAL_SKIN_DISPLAY

    public static final String PORTAL_SKIN_DISPLAY

See Also:
  Constant Field Values

### PORTAL_SKIN_GROUP

    public static final String PORTAL_SKIN_GROUP

See Also:
  Constant Field Values

### PORTAL_TEMPLATE_NAME

    public static final String PORTAL_TEMPLATE_NAME

  Portal Resource related constants

  See Also:
    Constant Field Values

### PORTAL_THEME_DEFINITION

    public static final String PORTAL_THEME_DEFINITION

See Also:
  Constant Field Values

### PORTAL_THEME_DISPLAY

    public static final String PORTAL_THEME_DISPLAY

See Also:
  Constant Field Values

### PORTAL_THEME_GROUP

    public static final String PORTAL_THEME_GROUP

See Also:
  Constant Field Values

### PORTAL_URI

    public static final String PORTAL_URI

See Also:
  Constant Field Values

### PORTAL_USER_VIEW_DISPLAY

    public static final String PORTAL_USER_VIEW_DISPLAY

See Also:
  Constant Field Values

### PORTAL_USER_VIEW_GROUP

    public static final String PORTAL_USER_VIEW_GROUP

See Also:
  Constant Field Values

### PORTAL_WEBAPP_GROUP

    public static final String PORTAL_WEBAPP_GROUP

See Also:
  Constant Field Values

### PORTLET_CACHE_LENGTH

    public static final String PORTLET_CACHE_LENGTH

  Portlet related constants

  See Also:
    Constant Field Values

### PORTLET_CAPABILITY_LABELS

    public static final String[] PORTLET_CAPABILITY_LABELS

### PORTLET_CATEGORY_FOLDER_IMAGE_FILE

    public static final String PORTLET_CATEGORY_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### PORTLET_CATEGORY_ID

    public static final String PORTLET_CATEGORY_ID

  The form value name for the portlet category id.

  See Also:
    Constant Field Values

### PORTLET_CATEGORY_IMAGE_FILE

    public static final String PORTLET_CATEGORY_IMAGE_FILE

See Also:
  Constant Field Values

### PORTLET_ID

    public static final String PORTLET_ID

See Also:
  Constant Field Values

### PORTLET_IDS

    public static final String PORTLET_IDS

  The form value name for the portlet id array.

  See Also:
    Constant Field Values

### PORTLET_IMAGE_FILE

    public static final String PORTLET_IMAGE_FILE

See Also:
  Constant Field Values

### PORTLET_POPUP_ID

    public static final String PORTLET_POPUP_ID

See Also:
  Constant Field Values

### PORTLET_PREF_DESCRIPTION

    public static final String PORTLET_PREF_DESCRIPTION

See Also:
  Constant Field Values

### PORTLET_PREF_MODIFY

    public static final String PORTLET_PREF_MODIFY

See Also:
  Constant Field Values

### PORTLET_PREF_MULTIVALUE

    public static final String PORTLET_PREF_MULTIVALUE

See Also:
  Constant Field Values

### PORTLET_PREF_NAME

    public static final String PORTLET_PREF_NAME

See Also:
  Constant Field Values

### PORTLET_PREF_OLD_NAME

    public static final String PORTLET_PREF_OLD_NAME

See Also:
  Constant Field Values

### PORTLET_PREF_PROPAGATE

    public static final String PORTLET_PREF_PROPAGATE

See Also:
  Constant Field Values

### PORTLET_PREF_VALUE

    public static final String PORTLET_PREF_VALUE

See Also:
  Constant Field Values

### PORTLETCATEGORY_POPUP_ID

    public static final String PORTLETCATEGORY_POPUP_ID

See Also:
  Constant Field Values

### PROPAGATE_PORTLET_PREF_ACTION

    public static final String PROPAGATE_PORTLET_PREF_ACTION

See Also:
  Constant Field Values

### PROPERTY_SET

    public static final String PROPERTY_SET

  The session attribute name for the current property set.

  See Also:
    Constant Field Values

### REMOVE_NAV_FROM_BOOK_ACTION

    public static final String REMOVE_NAV_FROM_BOOK_ACTION

See Also:
  Constant Field Values

### REMOVE_PLACEABLE_ACTION

    public static final String REMOVE_PLACEABLE_ACTION

See Also:
  Constant Field Values

### RESOURCE_DESCRIPTION

    public static final String RESOURCE_DESCRIPTION

  The description value for adding a locale.

  See Also:
    Constant Field Values

### RESOURCE_LOCALE

    public static final String RESOURCE_LOCALE

  The locale value for adding a locale.

  See Also:
    Constant Field Values

### RESOURCE_TITLE

    public static final String RESOURCE_TITLE

  The title value for adding a locale.

  See Also:
    Constant Field Values

### ROOT

    public static final String ROOT

See Also:
  Constant Field Values

### ROOT_CATEGORY

    public static final String ROOT_CATEGORY

See Also:
  Constant Field Values

### ROOT_CATEGORY_DESCRIPTION

    public static final String ROOT_CATEGORY_DESCRIPTION

See Also:
  Constant Field Values

### SAVE_DEFAULT_ELEMENT_ACTION

    public static final String SAVE_DEFAULT_ELEMENT_ACTION

See Also:
  Constant Field Values

### SAVE_PAGE_LAYOUT_ACTION

    public static final String SAVE_PAGE_LAYOUT_ACTION

See Also:
  Constant Field Values

### SEARCH_NAME

    public static final String SEARCH_NAME

  The session attribute name for the search name.

  See Also:
    Constant Field Values

### SELECTED_NAME

    public static final String SELECTED_NAME

  The session attribute name for the current selection name-

  See Also:
    Constant Field Values

### SELECTED_NODE_ID

    public static final String SELECTED_NODE_ID

  The session attribute name for the current selection id.

  See Also:
    Constant Field Values

### SELECTED_PARENT_ID

    public static final String SELECTED_PARENT_ID

  The session attribute name for the current selection parent's id.

  See Also:
    Constant Field Values

### SELECTED_PORTAL_DEFINITION_ID

    public static final String SELECTED_PORTAL_DEFINITION_ID

See Also:
  Constant Field Values

### SELECTED_PORTAL_NODE_NAME

    public static final String SELECTED_PORTAL_NODE_NAME

See Also:
  Constant Field Values

### SELECTED_TOP_NODE

    public static final String SELECTED_TOP_NODE

  The session attribute name for the current selected top node.

  See Also:
    Constant Field Values

### SELECTED_TYPE

    public static final String SELECTED_TYPE

  The session attribute name for the current selection type-

  See Also:
    Constant Field Values

### SELECTED_VIEW_TYPE

    public static final String SELECTED_VIEW_TYPE

See Also:
  Constant Field Values

### SELECTED_VIEW_TYPE_ID

    public static final String SELECTED_VIEW_TYPE_ID

See Also:
  Constant Field Values

### SELECTED_WEBAPP_NAME

    public static final String SELECTED_WEBAPP_NAME

See Also:
  Constant Field Values

### SHELL_ID

    public static final String SHELL_ID

  Various request variables for portal resource actions

  See Also:
    Constant Field Values

### SHELL_POPUP_ID

    public static final String SHELL_POPUP_ID

See Also:
  Constant Field Values

### SHELLS_FOLDER_IMAGE_FILE

    public static final String SHELLS_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### SHELLS_IMAGE_FILE

    public static final String SHELLS_IMAGE_FILE

See Also:
  Constant Field Values

### SKINS_FOLDER_IMAGE_FILE

    public static final String SKINS_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### SKINS_IMAGE_FILE

    public static final String SKINS_IMAGE_FILE

See Also:
  Constant Field Values

### TAXONOMY_BY_ID

    public static final String TAXONOMY_BY_ID

  The form value name for a new desktop's look and feel.

  See Also:
    Constant Field Values

### TAXONOMY_BY_NAME

    public static final String TAXONOMY_BY_NAME

See Also:
  Constant Field Values

### THEME_ID

    public static final String THEME_ID

See Also:
  Constant Field Values

### THEMES_FOLDER_IMAGE_FILE

    public static final String THEMES_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### THEMES_IMAGE_FILE

    public static final String THEMES_IMAGE_FILE

See Also:
  Constant Field Values

### TOP_LEVEL_NODE_ID

    public static final String TOP_LEVEL_NODE_ID

See Also:
  Constant Field Values

### UPDATE_BOOK_ACTION

    public static final String UPDATE_BOOK_ACTION

See Also:
  Constant Field Values

### UPDATE_PAGE_ACTION

    public static final String UPDATE_PAGE_ACTION

See Also:
  Constant Field Values

### UPDATE_PAGE_LAYOUT_ACTION

    public static final String UPDATE_PAGE_LAYOUT_ACTION

See Also:
  Constant Field Values

### UPDATE_PORTAL_ACTION

    public static final String UPDATE_PORTAL_ACTION

See Also:
  Constant Field Values

### UPDATE_PORTLET_CACHE_ACTION

    public static final String UPDATE_PORTLET_CACHE_ACTION

See Also:
  Constant Field Values

### UPDATE_PORTLET_PREF_ACTION

    public static final String UPDATE_PORTLET_PREF_ACTION

See Also:
  Constant Field Values

### UPDATE_PORTLET_THEME_ACTION

    public static final String UPDATE_PORTLET_THEME_ACTION

See Also:
  Constant Field Values

### UPDATE_PORTLET_THREAD_ACTION

    public static final String UPDATE_PORTLET_THREAD_ACTION

See Also:
  Constant Field Values

### USER_NAME

    public static final String USER_NAME

  The session attribute name a user's name.

  See Also:
    Constant Field Values

### WSRP_FOLDER_IMAGE_FILE

    public static final String WSRP_FOLDER_IMAGE_FILE

See Also:
  Constant Field Values

### WSRP_IMAGE_FILE

    public static final String WSRP_IMAGE_FILE

See Also:
  Constant Field Values

### YES_SELECTED

    public static final String YES_SELECTED

See Also:
  Constant Field Values

Constructor Detail

### PortalConstants

    public PortalConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved